MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031881Community[OCCT] OCCT:Codingpublic2020-10-26 22:472020-12-02 17:13
Reportercraffael 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031881: Coding Rules - OpenGl_HaltonSampler::initRandom() uses deprecated in C++14 function std::random_shuffle
DescriptionThe Method OpenGl_HaltonSampler::initRandom() in the file src/OpenGl/OpenGl_HaltonSampler.hxx:163 uses the deprecated function std::random_shuffle.

Since std::random_shuffle has been removed in C++17, initRandom() can fail to compile in c++17. It actually does so for macos 10.15 using the clang compiler in C++17 mode.
Steps To ReproduceTry to compile OCCT under macos 10.15 in c++17 mode.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031940verifiedbugmaster Community Foundation Classes - TCollection_ExtendedString::Print() corrupts UNICODE strings and does not compile with C++20 
child of 0027607closedkgv Open CASCADE Visualization - Implement adaptive screen space sampling in path tracing 

-  Notes
(0096284)
craffael (reporter)
2020-10-26 22:47

See also https://en.cppreference.com/w/cpp/algorithm/random_shuffle [^]
(0096286)
git (administrator)
2020-10-27 07:54

Branch CR31881 has been created by kgv.

SHA-1: 825edbaf8cc1bda2b6f39dee11b4f5018e7fe753


Detailed log of new commits:

Author: kgv
Date: Tue Oct 27 07:57:36 2020 +0300

    0031881: Coding Rules - OpenGl_HaltonSampler::initRandom() uses deprecated in C++14 function std::random_shuffle
    
    Unused function has been removed.
(0096289)
kgv (developer)
2020-10-27 09:42

Please raise the patch
- OCCT branch: CR31881.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31881-master-KGV/ [^]
(0096420)
bugmaster (administrator)
2020-10-31 12:48

Combination -
OCCT branch : OCCT-750
master SHA - a8b9d7eb277d4ce8949427b7c6ab6af92422ae83
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750 SHA - d1791aa18ab401708974b4c974aba57dc55acaa7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17977.46000000013 / 17994.53000000008 [-0.09%]
Products
Total CPU difference: 12143.270000000102 / 12171.670000000115 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 19728.796875 / 19728.265625 [+0.00%]
Products
Total CPU difference: 13560.6875 / 13538.390625 [+0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096561)
git (administrator)
2020-11-05 15:59

Branch CR31881 has been deleted by inv.

SHA-1: 825edbaf8cc1bda2b6f39dee11b4f5018e7fe753

- Related Changesets
occt: master aa7e9f8d
Timestamp: 2020-10-27 04:57:36
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031881: Coding Rules - OpenGl_HaltonSampler::initRandom() uses deprecated in C++14 function std::random_shuffle

Unused function has been removed.
mod - src/OpenGl/OpenGl_HaltonSampler.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TileSampler.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-26 22:47 craffael New Issue
2020-10-26 22:47 craffael Assigned To => kgv
2020-10-26 22:47 craffael Note Added: 0096284
2020-10-27 07:21 kgv Relationship added child of 0027607
2020-10-27 07:23 kgv Category OCCT:Visualization => OCCT:Coding
2020-10-27 07:23 kgv Product Version 7.4.0 => 7.1.0
2020-10-27 07:23 kgv Target Version => 7.6.0*
2020-10-27 07:23 kgv Summary OpenGl_HaltonSampler::initRandom() uses deprecated function std::random_shuffle => Coding Rules - OpenGl_HaltonSampler::initRandom() uses deprecated in C++14 function std::random_shuffle
2020-10-27 07:23 kgv Additional Information Updated View Revisions
2020-10-27 07:54 git Note Added: 0096286
2020-10-27 07:55 kgv Target Version 7.6.0* => 7.5.0
2020-10-27 09:42 kgv Note Added: 0096289
2020-10-27 09:42 kgv Assigned To kgv => bugmaster
2020-10-27 09:42 kgv Status new => resolved
2020-10-27 09:42 kgv Status resolved => reviewed
2020-10-31 12:48 bugmaster Note Added: 0096420
2020-10-31 12:48 bugmaster Status reviewed => tested
2020-10-31 12:50 bugmaster Test case number => Not required
2020-10-31 12:54 bugmaster Changeset attached => occt master aa7e9f8d
2020-10-31 12:54 bugmaster Status tested => verified
2020-10-31 12:54 bugmaster Resolution open => fixed
2020-11-05 15:59 git Note Added: 0096561
2020-11-18 11:46 kgv Relationship added related to 0031940
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker